> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Subscriptions

> Search subscriptions with enhanced filtering capabilities including UUID arrays.



## OpenAPI

````yaml openapi/ecommerce.yaml post /public/{user_id}/subscriptions/search
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/subscriptions/search:
    post:
      tags:
        - Subscription
      summary: Search Subscriptions
      description: >-
        Search subscriptions with enhanced filtering capabilities including UUID
        arrays.
      operationId: searchSubscriptions
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: voluptatum
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                per_page:
                  type: integer
                  description: >-
                    Number of results per page. Must be at least 1. Must not be
                    greater than 100.
                  nullable: true
                  example: 10
                page:
                  type: integer
                  description: Page number for pagination. Must be at least 1.
                  nullable: true
                  example: 1
                sort:
                  type: string
                  description: Sort by field. Prefix with - for descending order.
                  nullable: true
                  example: '-created_at'
                include:
                  type: string
                  description: Comma-separated list of relationships to include.
                  nullable: true
                  example: discountCode,currentPhase,processingRenewalOrder
                filter:
                  type: object
                  properties:
                    status:
                      type: string
                      description: ''
                      nullable: true
                      example: active
                    name:
                      type: string
                      description: Must not be greater than 255 characters.
                      nullable: true
                      example: subscription-name
                    current_period_end:
                      type: string
                      description: Must be a valid date.
                      nullable: true
                      example: '2023-12-31T23:59:59+00:00'
                    uuids:
                      type: array
                      items:
                        type: string
                      description: >-
                        This field is required when <code>filter.uuids</code> is
                        present.  Must be a valid UUID.
                      example:
                        - 550e8400-e29b-41d4-a716-446655440000
                    customer:
                      type: object
                      properties:
                        user_id:
                          type: string
                          description: Must not be greater than 255 characters.
                          nullable: true
                          example: random_user_id
                        name:
                          type: string
                          description: Must not be greater than 255 characters.
                          nullable: true
                          example: tenant_name
                      description: ''
                      nullable: true
                      example:
                        name: tenant_name
                        user_id: random_user_id
                  description: Object containing filter criteria.
                  nullable: true
                  example:
                    status: active
                    name: subscription-name
                    current_period_end: '2023-12-31T23:59:59+00:00'
                    uuids:
                      - 550e8400-e29b-41d4-a716-446655440000
                    customer:
                      name: tenant_name
                      user_id: random_user_id
            example:
              per_page: 10
              page: 1
              sort: '-created_at'
              include: discountCode,currentPhase,processingRenewalOrder
              filter:
                status: active
                name: subscription-name
                current_period_end: '2023-12-31T23:59:59.0000000+00:00'
                uuids:
                  - 550e8400-e29b-41d4-a716-446655440000
                customer:
                  name: tenant_name
                  user_id: random_user_id
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: b7c3c79b-abb5-3f19-b643-83866937758d
                        name:
                          type: string
                          example: Reiciendis enim placeat.
                        short_description:
                          type: string
                          example: Deserunt adipisci est modi similique.
                        status:
                          type: string
                          example: draft
                        current_period_start:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                        current_period_end:
                          type: string
                          example: '2026-04-03T14:05:32+00:00'
                        previous_period_start:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                        previous_period_end:
                          type: string
                          example: '2026-02-03T14:05:32+00:00'
                        started_at:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                        terminated_at:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                        billing_anchor_day:
                          type: integer
                          example: 20
                        customer:
                          type: object
                          properties:
                            uuid:
                              type: string
                              example: a13651d5-97e0-4ed5-b788-192aec952272
                            auth_id:
                              type: string
                              example: 937b686b-d2df-3139-b4f8-70cf0b4320c4
                            name:
                              type: string
                              example: Lempi Torp
                            business_entity_id:
                              type: string
                              example: a13651d5-9723-49c7-a316-922914f87f51
                            currency:
                              type: string
                              example: USD
                        total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        sub_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        discount_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        current_phase:
                          type: object
                          properties:
                            uuid:
                              type: string
                              example: 755e1c1b-3b3f-3b2e-ab45-1cada2967aeb
                            name:
                              type: string
                              example: Fuga sunt illum aut.
                            short_description:
                              type: string
                              example: Autem rerum eius velit est.
                            start_at:
                              type: string
                              example: '2026-03-03T14:05:32+00:00'
                            occurrence:
                              type: string
                              example: month
                            period:
                              type: integer
                              example: 1
                            end_at:
                              type: string
                              example: '2027-03-03T14:05:32+00:00'
                            status:
                              type: string
                              example: pending
                            created_at:
                              type: string
                              example: '2026-03-03T14:05:32+00:00'
                        has_immediate_termination:
                          type: boolean
                          example: true
                        is_in_grace_period:
                          type: boolean
                          example: false
                        expires_at:
                          type: string
                          example: '2026-04-03T14:05:32+00:00'
                    example:
                      - uuid: b7c3c79b-abb5-3f19-b643-83866937758d
                        name: Reiciendis enim placeat.
                        short_description: Deserunt adipisci est modi similique.
                        status: draft
                        current_period_start: '2026-03-03T14:05:32+00:00'
                        current_period_end: '2026-04-03T14:05:32+00:00'
                        previous_period_start: '2026-03-03T14:05:32+00:00'
                        previous_period_end: '2026-02-03T14:05:32+00:00'
                        started_at: '2026-03-03T14:05:32+00:00'
                        terminated_at: '2026-03-03T14:05:32+00:00'
                        billing_anchor_day: 20
                        customer:
                          uuid: a13651d5-97e0-4ed5-b788-192aec952272
                          auth_id: 937b686b-d2df-3139-b4f8-70cf0b4320c4
                          name: Lempi Torp
                          business_entity_id: a13651d5-9723-49c7-a316-922914f87f51
                          currency: USD
                        total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        sub_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        current_phase:
                          uuid: 755e1c1b-3b3f-3b2e-ab45-1cada2967aeb
                          name: Fuga sunt illum aut.
                          short_description: Autem rerum eius velit est.
                          start_at: '2026-03-03T14:05:32+00:00'
                          occurrence: month
                          period: 1
                          end_at: '2027-03-03T14:05:32+00:00'
                          status: pending
                          created_at: '2026-03-03T14:05:32+00:00'
                        has_immediate_termination: true
                        is_in_grace_period: false
                        expires_at: '2026-04-03T14:05:32+00:00'
                      - uuid: d84eaa13-bb2e-3ae9-8571-a320c1f9ed92
                        name: Possimus corrupti reiciendis debitis.
                        short_description: Enim aliquid enim facere ut id soluta.
                        status: draft
                        current_period_start: '2026-03-03T14:05:32+00:00'
                        current_period_end: '2026-04-03T14:05:32+00:00'
                        previous_period_start: '2026-03-03T14:05:32+00:00'
                        previous_period_end: '2026-02-03T14:05:32+00:00'
                        started_at: '2026-03-03T14:05:32+00:00'
                        terminated_at: '2026-03-03T14:05:32+00:00'
                        billing_anchor_day: 20
                        customer:
                          uuid: a13651d5-b30a-4fc9-9ea8-1419eb5b09f5
                          auth_id: 775bf026-b4d8-3f2c-a61a-fe1b27a64ebd
                          name: Gardner Auer I
                          business_entity_id: a13651d5-b242-4b9c-b5b9-66df2bcb9ce9
                          currency: USD
                        total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        sub_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        current_phase:
                          uuid: 14c64f50-0a02-3122-a0f4-ff3ca1b08303
                          name: Illum ut et.
                          short_description: Occaecati quae expedita molestiae distinctio.
                          start_at: '2026-03-03T14:05:32+00:00'
                          occurrence: month
                          period: 1
                          end_at: '2027-03-03T14:05:32+00:00'
                          status: pending
                          created_at: '2026-03-03T14:05:32+00:00'
                        has_immediate_termination: true
                        is_in_grace_period: false
                        expires_at: '2026-04-03T14:05:32+00:00'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: b7c3c79b-abb5-3f19-b643-83866937758d
                      name: Reiciendis enim placeat.
                      short_description: Deserunt adipisci est modi similique.
                      status: draft
                      current_period_start: '2026-03-03T14:05:32+00:00'
                      current_period_end: '2026-04-03T14:05:32+00:00'
                      previous_period_start: '2026-03-03T14:05:32+00:00'
                      previous_period_end: '2026-02-03T14:05:32+00:00'
                      started_at: '2026-03-03T14:05:32+00:00'
                      terminated_at: '2026-03-03T14:05:32+00:00'
                      billing_anchor_day: 20
                      customer:
                        uuid: a13651d5-97e0-4ed5-b788-192aec952272
                        auth_id: 937b686b-d2df-3139-b4f8-70cf0b4320c4
                        name: Lempi Torp
                        business_entity_id: a13651d5-9723-49c7-a316-922914f87f51
                        currency: USD
                      total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      sub_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      current_phase:
                        uuid: 755e1c1b-3b3f-3b2e-ab45-1cada2967aeb
                        name: Fuga sunt illum aut.
                        short_description: Autem rerum eius velit est.
                        start_at: '2026-03-03T14:05:32+00:00'
                        occurrence: month
                        period: 1
                        end_at: '2027-03-03T14:05:32+00:00'
                        status: pending
                        created_at: '2026-03-03T14:05:32+00:00'
                      has_immediate_termination: true
                      is_in_grace_period: false
                      expires_at: '2026-04-03T14:05:32+00:00'
                    - uuid: d84eaa13-bb2e-3ae9-8571-a320c1f9ed92
                      name: Possimus corrupti reiciendis debitis.
                      short_description: Enim aliquid enim facere ut id soluta.
                      status: draft
                      current_period_start: '2026-03-03T14:05:32+00:00'
                      current_period_end: '2026-04-03T14:05:32+00:00'
                      previous_period_start: '2026-03-03T14:05:32+00:00'
                      previous_period_end: '2026-02-03T14:05:32+00:00'
                      started_at: '2026-03-03T14:05:32+00:00'
                      terminated_at: '2026-03-03T14:05:32+00:00'
                      billing_anchor_day: 20
                      customer:
                        uuid: a13651d5-b30a-4fc9-9ea8-1419eb5b09f5
                        auth_id: 775bf026-b4d8-3f2c-a61a-fe1b27a64ebd
                        name: Gardner Auer I
                        business_entity_id: a13651d5-b242-4b9c-b5b9-66df2bcb9ce9
                        currency: USD
                      total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      sub_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      current_phase:
                        uuid: 14c64f50-0a02-3122-a0f4-ff3ca1b08303
                        name: Illum ut et.
                        short_description: Occaecati quae expedita molestiae distinctio.
                        start_at: '2026-03-03T14:05:32+00:00'
                        occurrence: month
                        period: 1
                        end_at: '2027-03-03T14:05:32+00:00'
                        status: pending
                        created_at: '2026-03-03T14:05:32+00:00'
                      has_immediate_termination: true
                      is_in_grace_period: false
                      expires_at: '2026-04-03T14:05:32+00:00'
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: b7c3c79b-abb5-3f19-b643-83866937758d
                    name: Reiciendis enim placeat.
                    short_description: Deserunt adipisci est modi similique.
                    status: draft
                    current_period_start: '2026-03-03T14:05:32.0000000+00:00'
                    current_period_end: '2026-04-03T14:05:32.0000000+00:00'
                    previous_period_start: '2026-03-03T14:05:32.0000000+00:00'
                    previous_period_end: '2026-02-03T14:05:32.0000000+00:00'
                    started_at: '2026-03-03T14:05:32.0000000+00:00'
                    terminated_at: '2026-03-03T14:05:32.0000000+00:00'
                    billing_anchor_day: 20
                    customer:
                      uuid: a13651d5-97e0-4ed5-b788-192aec952272
                      auth_id: 937b686b-d2df-3139-b4f8-70cf0b4320c4
                      name: Lempi Torp
                      business_entity_id: a13651d5-9723-49c7-a316-922914f87f51
                      currency: USD
                    total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    sub_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    current_phase:
                      uuid: 755e1c1b-3b3f-3b2e-ab45-1cada2967aeb
                      name: Fuga sunt illum aut.
                      short_description: Autem rerum eius velit est.
                      start_at: '2026-03-03T14:05:32.0000000+00:00'
                      occurrence: month
                      period: 1
                      end_at: '2027-03-03T14:05:32.0000000+00:00'
                      status: pending
                      created_at: '2026-03-03T14:05:32.0000000+00:00'
                    has_immediate_termination: true
                    is_in_grace_period: false
                    expires_at: '2026-04-03T14:05:32.0000000+00:00'
                  - uuid: d84eaa13-bb2e-3ae9-8571-a320c1f9ed92
                    name: Possimus corrupti reiciendis debitis.
                    short_description: Enim aliquid enim facere ut id soluta.
                    status: draft
                    current_period_start: '2026-03-03T14:05:32.0000000+00:00'
                    current_period_end: '2026-04-03T14:05:32.0000000+00:00'
                    previous_period_start: '2026-03-03T14:05:32.0000000+00:00'
                    previous_period_end: '2026-02-03T14:05:32.0000000+00:00'
                    started_at: '2026-03-03T14:05:32.0000000+00:00'
                    terminated_at: '2026-03-03T14:05:32.0000000+00:00'
                    billing_anchor_day: 20
                    customer:
                      uuid: a13651d5-b30a-4fc9-9ea8-1419eb5b09f5
                      auth_id: 775bf026-b4d8-3f2c-a61a-fe1b27a64ebd
                      name: Gardner Auer I
                      business_entity_id: a13651d5-b242-4b9c-b5b9-66df2bcb9ce9
                      currency: USD
                    total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    sub_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    current_phase:
                      uuid: 14c64f50-0a02-3122-a0f4-ff3ca1b08303
                      name: Illum ut et.
                      short_description: Occaecati quae expedita molestiae distinctio.
                      start_at: '2026-03-03T14:05:32.0000000+00:00'
                      occurrence: month
                      period: 1
                      end_at: '2027-03-03T14:05:32.0000000+00:00'
                      status: pending
                      created_at: '2026-03-03T14:05:32.0000000+00:00'
                    has_immediate_termination: true
                    is_in_grace_period: false
                    expires_at: '2026-04-03T14:05:32.0000000+00:00'
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````